Package ghidra.trace.model.target.iface

# Record Class TraceMethod.BoolValue.Val

java.lang.Object
java.lang.Record
ghidra.trace.model.target.iface.TraceMethod.BoolValue.Val

All Implemented Interfaces:
  `TraceMethod.Value<Boolean>`

Enclosing class:
  `TraceMethod.BoolValue`

public static record TraceMethod.BoolValue.Val(TraceMethod.BoolValue v) extends Record implements TraceMethod.Value<Boolean>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Val(TraceMethod.BoolValue v)`
  Creates an instance of a `Val` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `specified()`
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `TraceMethod.BoolValue`
  `v()`
  Returns the value of the `v` record component.
  `Boolean`
  `value()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Val

    public Val(TraceMethod.BoolValue v)
    Creates an instance of a `Val` record class.
    Parameters:
      `v` - the value for the `v` record component

- ## Method Details

  - ### specified

    public boolean specified()
    Specified by:
      `specified` in interface `TraceMethod.Value<Boolean>`

  - ### value

    public Boolean value()
    Specified by:
      `value` in interface `TraceMethod.Value<Boolean>`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### v

    public TraceMethod.BoolValue v()
    Returns the value of the `v` record component.
    Returns:
      the value of the `v` record component